xpra icon
Bug tracker and wiki

#1327 closed defect (fixed)

screen doesn't fit in Fullscreen mode

Reported by: JAremko Owned by: Thomas Esposito
Priority: major Milestone: 1.0
Component: server Version: trunk
Keywords: fullscreen Cc:

Description

Bottom part of the screen is cut off in the fullscreen mode
Image http://i.imgur.com/R13084A.png

I tried running server (in docker) with http://packages.ubuntu.com/yakkety/xpra

and https://www.xpra.org/dists/xenial/main/binary-amd64/xpra_0.17.5-r13455-2_amd64.deb
both have this bug. This version http://packages.ubuntu.com/xenial/xpra works fine

At the client I tried http://packages.ubuntu.com/xenial/xpra and the one from the xpra repo.

Reports in the attachment

Attachments (5)

report.zip (70.7 KB) - added by JAremko 13 months ago.
xpra debug reports
--debug=geometry.zip (362.3 KB) - added by JAremko 13 months ago.
xorg.log (45.7 KB) - added by Antoine Martin 13 months ago.
moving large file to attachment
server.log (104.0 KB) - added by Antoine Martin 13 months ago.
moving another huge log sample to an attachment
client.log (13.9 KB) - added by Antoine Martin 13 months ago.
client log

Download all attachments as: .zip

Change History (30)

Changed 13 months ago by JAremko

Attachment: report.zip added

xpra debug reports

comment:1 Changed 13 months ago by Antoine Martin

Owner: changed from Antoine Martin to JAremko

It's really not clear to me what the problem is, the picture is too blurry.

Please include the exact commands that you used at both ends. (edit: just saw the report zip)

Last edited 13 months ago by Antoine Martin (previous) (diff)

comment:2 Changed 13 months ago by JAremko

Thank You for responding so fast!

This is how it works with server xpra v0.15.8 | client xpra v0.17.5
http://i.imgur.com/KhN8gxW.png (all is ok)

xpra start $XPRA_DISPLAY --sharing=yes --no-daemon --pulseaudio=no --mdns=no --mmap=yes --encoding=rgb --exit-with-children --start-child="${cmd}"
X.Org X Server 1.18.3
Release Date: 2016-04-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.13.0-92-generic x86_64 Ubuntu
Current Operating System: Linux jare-work 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:01:55 UTC 2016 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.4.0-36-generic root=UUID=8f99b8fb-534b-4d4f-8c4b-0ab11bc5c848 ro quiet splash nomodeset nouveau.modeset=0 vt.handoff=7
Build Date: 22 July 2016  07:50:34AM
xorg-server 2:1.18.3-1ubuntu2.3 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.33.6
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/home/spacemacs/.xpra/Xorg.:14.log", Time: Fri Sep 30 13:14:55 2016
(++) Using config file: "/etc/xpra/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
2016-09-30 13:14:56,096 server uuid is 9582d8325dd04bb487a00c446afcea0c
2016-09-30 13:14:56,213 using notification forwarder: DBUSNotificationsForwarder(org.freedesktop.Notifications)
2016-09-30 13:14:56,238 started child '/usr/local/bin/sdrunemacs ' with pid 57
2016-09-30 13:14:56,239 xpra server version 0.15.8 (r11211)
2016-09-30 13:14:56,239 running with pid 21
2016-09-30 13:14:56,373 xpra is ready.
2016-09-30 13:15:10,598 New unix-domain connection received
2016-09-30 13:15:10,601 Handshake complete; enabling connection
2016-09-30 13:15:10,606 Python/Gtk2 Linux client version 0.17.5 connected from 'jare-work' as 'spacemacser' ('jare')
2016-09-30 13:15:10,606 client supplied an mmap_file: /tmp/xpra.vsso0J.mmap but we cannot find it
2016-09-30 13:15:10,606 using rgb as primary encoding, also available: h264, vp9, vp8, png, png/P, png/L, rgb24, jpeg, rgb32
2016-09-30 13:15:10,608 client root window size is 1920x1080 with 1 displays:
2016-09-30 13:15:10,608   ':0.0' (508x286 mm - DPI: 96x95)
2016-09-30 13:15:10,608     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 13:15:10,731 server virtual display now set to 1920x1080
2016-09-30 13:15:10,731 setting key repeat rate from client: 500ms delay / 30ms interval
2016-09-30 13:15:10,732 setting keymap: rules=evdev, model=pc105, layout=us,ru
2016-09-30 13:15:10,750 setting keymap options: caps:swapescape,grp:altshifttoggle
2016-09-30 13:15:10,782 DPI set to 23 x 25 (wanted 96 x 96)
2016-09-30 13:15:10,783  you may experience scaling problems, such as huge or small fonts, etc
2016-09-30 13:15:10,783  to fix this issue, try the dpi switch, or use a patched Xdummy driver
2016-09-30 13:15:10,859 Uh-oh, our size doesn't fit window sizing constraints: 669x583 vs 664x578
2016-09-30 13:15:10,862 Uh-oh, our size doesn't fit window sizing constraints: 669x583 vs 664x578
2016-09-30 13:15:12,944 Uh-oh, our size doesn't fit window sizing constraints: 1920x1080 vs 1920x1071
2016-09-30 13:15:16,489 Uh-oh, our size doesn't fit window sizing constraints: 1920x1080 vs 1920x1071
2016-09-30 13:15:18,310 Uh-oh, our size doesn't fit window sizing constraints: 1920x1080 vs 1920x1071
xpra attach --sharing=yes --encoding=rgb --compress=0  ssh:spacemacser@localhost:14
2016-09-30 16:15:09,953 Xpra gtk2 client version 0.17.5-r13455
2016-09-30 16:15:09,953  running on Linux Ubuntu 16.04 xenial
2016-09-30 16:15:09,954 Warning: failed to import opencv:
2016-09-30 16:15:09,954  No module named cv2
2016-09-30 16:15:09,954  webcam forwarding is disabled
2016-09-30 16:15:10,093 GStreamer version 1.8 for Python 2.7
2016-09-30 16:15:10,354 OpenGL_accelerate module loaded
2016-09-30 16:15:10,361 OpenGL enabled with GeForce GTX 650/PCIe/SSE2
2016-09-30 16:15:10,377 keyboard layouts: us,ru
2016-09-30 16:15:10,406  detected keyboard: rules=evdev, model=pc105, layout=us,ru
2016-09-30 16:15:10,407  desktop size is 1920x1080 with 1 screen:
2016-09-30 16:15:10,407   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 16:15:10,407     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 16:15:10,780 Xpra server server version 0.15.8-r11211
2016-09-30 16:15:10,781  running on Linux Ubuntu 16.04 xenial
2016-09-30 16:15:10,782 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)

And this with server v0.17.5 | client xpra v0.17.5
http://i.imgur.com/nIdeLrh.png (bottom cut off)

2016-09-30 13:31:12,509 created unix domain socket: /home/spacemacs/.xpra/jare-work-14
2016-09-30 13:31:12,860 Error: no encryption libraries could be loaded
2016-09-30 13:31:12,861  pycrypto is not available: No module named Crypto
2016-09-30 13:31:12,861  python-cryptography is not available: No module named cryptography
2016-09-30 13:31:13,042 Warning: no X11 RandR support on :14
2016-09-30 13:31:13,356 Warning: webcam forwarding is disabled
2016-09-30 13:31:13,356  the virtual video directory '/sys/devices/virtual/video4linux' was not found
2016-09-30 13:31:13,356  make sure that the 'v4l2loopback' kernel module is installed and loaded
2016-09-30 13:31:13,356 found 0 virtual video devices
Warning: failed to import GStreamer:
 GStreamer 1.0: Namespace Gst not available
 GStreamer 0.10: No module named pygst
2016-09-30 13:31:13,493 Error: failed to query sound subsystem:
2016-09-30 13:31:13,493  query did not return any data
2016-09-30 13:31:13,495 D-Bus notification forwarding is available
2016-09-30 13:31:13,507 started command '/usr/local/bin/sdrunemacs ' with pid 656
2016-09-30 13:31:13,507 xpra X11 version 0.17.5-r13455
2016-09-30 13:31:13,508  running with pid 605 on Linux Ubuntu 16.04 xenial
2016-09-30 13:31:13,508  on display :14
2016-09-30 13:31:13,575 xpra is ready.
2016-09-30 13:31:21,979 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 13:31:21,979 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 13:31:21,985 Handshake complete; enabling connection
2016-09-30 13:31:22,045 Python/Gtk2 Linux Ubuntu 16.04 xenial client version 0.17.5-r13455
2016-09-30 13:31:22,046  connected from 'jare-work' as 'spacemacser' - 'jare'
2016-09-30 13:31:22,046  using rgb as primary encoding also available:
2016-09-30 13:31:22,046   h264, vp9, vp8, mpeg4, png, png/P, png/L, rgb24, jpeg, rgb32
2016-09-30 13:31:22,047 Connection lost
2016-09-30 13:31:22,047  client root window size is 1920x1080 with 1 display:
2016-09-30 13:31:22,047   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 13:31:22,047     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 13:31:22,099 setting key repeat rate from client: 500ms delay / 30ms interval
2016-09-30 13:31:22,100 setting keymap: rules=evdev, model=pc105, layout=us,ru
2016-09-30 13:31:22,130 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)
xpra attach --sharing=yes --encoding=rgb --compress=0 ssh:spacemacser@localhost:14
2016-09-30 16:31:21,264 Xpra gtk2 client version 0.17.5-r13455
2016-09-30 16:31:21,264  running on Linux Ubuntu 16.04 xenial
2016-09-30 16:31:21,264 Warning: failed to import opencv:
2016-09-30 16:31:21,264  No module named cv2
2016-09-30 16:31:21,264  webcam forwarding is disabled
2016-09-30 16:31:21,442 GStreamer version 1.8 for Python 2.7
2016-09-30 16:31:21,669 OpenGL_accelerate module loaded
2016-09-30 16:31:21,676 OpenGL enabled with GeForce GTX 650/PCIe/SSE2
2016-09-30 16:31:21,689 keyboard layouts: us,ru
2016-09-30 16:31:21,713  detected keyboard: rules=evdev, model=pc105, layout=us,ru
2016-09-30 16:31:21,714  desktop size is 1920x1080 with 1 screen:
2016-09-30 16:31:21,714   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 16:31:21,714     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 16:31:22,121 Xpra X11 server version 0.17.5-r13455
2016-09-30 16:31:22,122  running on Linux Ubuntu 16.04 xenial
2016-09-30 16:31:22,122 enabled remote logging
2016-09-30 16:31:22,123 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)

Installing all the crypto stuff and using --xvfb doesn't help. http://i.imgur.com/f5fOZpz.png

sudo apt-get install python-pip libssl-dev  python-dbus xserver-xorg-video-dummy
sudo pip install cryptography pycrypto
xpra start $XPRA_DISPLAY --xvfb="Xorg -dpi 96 -noreset -nolisten tcp +extension GLX +extension RANDR +extension RENDER -logfile /tmp/Xvfb-10.log -config /etc/xpra/xorg.conf --sharing=yes --no-daemon --pulseaudio=no --mdns=no --mmap=yes --encoding=rgb --exit-with-children --start-child="${cmd}"
X.Org X Server 1.18.3
Release Date: 2016-04-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.13.0-92-generic x86_64 Ubuntu
Current Operating System: Linux jare-work 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:01:55 UTC 2016 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.4.0-36-generic root=UUID=8f99b8fb-534b-4d4f-8c4b-0ab11bc5c848 ro quiet splash nomodeset nouveau.modeset=0 vt.handoff=7
Build Date: 22 July 2016  07:50:34AM
xorg-server 2:1.18.3-1ubuntu2.3 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.33.6
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/tmp/Xvfb-10.log", Time: Fri Sep 30 13:45:58 2016
(++) Using config file: "/etc/xpra/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
2016-09-30 13:45:58,780 created unix domain socket: /home/spacemacs/.xpra/jare-work-14
2016-09-30 13:45:59,487 Warning: webcam forwarding is disabled
2016-09-30 13:45:59,487  the virtual video directory '/sys/devices/virtual/video4linux' was not found
2016-09-30 13:45:59,487  make sure that the 'v4l2loopback' kernel module is installed and loaded
2016-09-30 13:45:59,487 found 0 virtual video devices
Warning: failed to import GStreamer:
 GStreamer 1.0: Namespace Gst not available
 GStreamer 0.10: No module named pygst
2016-09-30 13:45:59,597 Error: failed to query sound subsystem:
2016-09-30 13:45:59,597  query did not return any data
2016-09-30 13:45:59,598 D-Bus notification forwarding is available
2016-09-30 13:45:59,611 started command '/usr/local/bin/sdrunemacs ' with pid 2780
2016-09-30 13:45:59,611 xpra X11 version 0.17.5-r13455
2016-09-30 13:45:59,611  running with pid 2726 on Linux Ubuntu 16.04 xenial
2016-09-30 13:45:59,612  on display :14
2016-09-30 13:45:59,746 xpra is ready.
2016-09-30 13:46:12,149 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 13:46:12,149 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 13:46:12,154 Handshake complete; enabling connection
2016-09-30 13:46:12,225 Python/Gtk2 Linux Ubuntu 16.04 xenial client version 0.17.5-r13455
2016-09-30 13:46:12,225  connected from 'jare-work' as 'spacemacser' - 'jare'
2016-09-30 13:46:12,226  using rgb as primary encoding also available:
2016-09-30 13:46:12,226   h264, vp9, vp8, mpeg4, png, png/P, png/L, rgb24, jpeg, rgb32
2016-09-30 13:46:12,226 Connection lost
2016-09-30 13:46:12,226  client root window size is 1920x1080 with 1 display:
2016-09-30 13:46:12,226   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 13:46:12,227     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 13:46:12,369 server virtual display now set to 1920x1080
2016-09-30 13:46:12,370 setting key repeat rate from client: 500ms delay / 30ms interval
2016-09-30 13:46:12,371 setting keymap: rules=evdev, model=pc105, layout=us,ru
2016-09-30 13:46:12,398 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)
2016-09-30 13:46:12,398 DPI set to 23 x 25 (wanted 96 x 96)
2016-09-30 13:46:12,398  you may experience scaling problems, such as huge or small fonts, etc
2016-09-30 13:46:12,398  to fix this issue, try the dpi switch, or use a patched Xorg dummy driver
2016-09-30 16:46:11,415 Xpra gtk2 client version 0.17.5-r13455
2016-09-30 16:46:11,416  running on Linux Ubuntu 16.04 xenial
2016-09-30 16:46:11,416 Warning: failed to import opencv:
2016-09-30 16:46:11,416  No module named cv2
2016-09-30 16:46:11,416  webcam forwarding is disabled
2016-09-30 16:46:11,565 GStreamer version 1.8 for Python 2.7
2016-09-30 16:46:11,840 OpenGL_accelerate module loaded
2016-09-30 16:46:11,846 OpenGL enabled with GeForce GTX 650/PCIe/SSE2
2016-09-30 16:46:11,861 keyboard layouts: us,ru
2016-09-30 16:46:11,885  detected keyboard: rules=evdev, model=pc105, layout=us,ru
2016-09-30 16:46:11,885  desktop size is 1920x1080 with 1 screen:
2016-09-30 16:46:11,885   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 16:46:11,885     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 16:46:12,395 Xpra X11 server version 0.17.5-r13455
2016-09-30 16:46:12,395  running on Linux Ubuntu 16.04 xenial
2016-09-30 16:46:12,395 enabled remote logging
2016-09-30 16:46:12,396 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)

Content of the server's /etc/xpra/xorg.conf file

# This xorg configuration file is meant to be used by xpra
# to start a dummy X11 server.
# For details, please see:
# https://xpra.org/Xdummy.html

Section "ServerFlags"
  Option "DontVTSwitch" "true"
  Option "AllowMouseOpenFail" "true"
  Option "PciForceNone" "true"
  Option "AutoEnableDevices" "false"
  Option "AutoAddDevices" "false"
EndSection

Section "Device"
  Identifier "dummy_videocard"
  Driver "dummy"
  DacSpeed 600
  Option "ConstantDPI" "true"
  #VideoRam 2048000
  #VideoRam 1024000
  #VideoRam 384000
  VideoRam 256000
  #VideoRam 192000
EndSection

Section "Monitor"
  Identifier "dummy_monitor"
  HorizSync   1.0 - 2000.0
  VertRefresh 1.0 - 200.0
  #To add your own modes here, use a modeline calculator, like:
  # cvt:
  # http://www.x.org/archive/X11R7.5/doc/man/man1/cvt.1.html
  # xtiming:
  # http://xtiming.sourceforge.net/cgi-bin/xtiming.pl
  # gtf:
  # http://gtf.sourceforge.net/

  #This can be used to get a specific DPI, but only for the default resolution:
  #DisplaySize 508 317
  #NOTE: the highest modes will not work without increasing the VideoRam
  # for the dummy video card.
  #Modeline "16000x15000" 300.00  16000 16408 18000 20000  15000 15003 15013 15016
  #Modeline "15000x15000" 281.25  15000 15376 16872 18744  15000 15003 15013 15016
  #Modeline "16384x8192" 167.75  16384 16800 18432 20480  8192 8195 8205 8208
  #Modeline "15360x8640" 249.00 15360 15752 17280 19200 8640 8643 8648 8651
  Modeline "8192x4096" 193.35 8192 8224 8952 8984 4096 4196 4200 4301
  Modeline "7680x4320" 208.00 7680 7880 8640 9600 4320 4323 4328 4335
  Modeline "6400x4096" 151.38 6400 6432 7000 7032 4096 4196 4200 4301
  Modeline "6400x2560" 91.59 6400 6432 6776 6808 2560 2623 2626 2689
  Modeline "6400x2160" 160.51 6400 6432 7040 7072 2160 2212 2216 2269
  Modeline "5760x2160" 149.50 5760 5768 6320 6880 2160 2161 2164 2173  
  Modeline "5680x1440" 142.66 5680 5712 6248 6280 1440 1474 1478 1513
  Modeline "5496x1200" 199.13 5496 5528 6280 6312 1200 1228 1233 1261
  Modeline "5280x2560" 75.72 5280 5312 5592 5624 2560 2623 2626 2689
  Modeline "5280x1920" 56.04 5280 5312 5520 5552 1920 1967 1969 2017
  Modeline "5280x1200" 191.40 5280 5312 6032 6064 1200 1228 1233 1261
  Modeline "5280x1080" 169.96 5280 5312 5952 5984 1080 1105 1110 1135
  Modeline "5120x3200" 199.75 5120 5152 5904 5936 3200 3277 3283 3361
  Modeline "5120x2560" 73.45 5120 5152 5424 5456 2560 2623 2626 2689
  Modeline "5120x2880" 185.50 5120 5256 5760 6400 2880 2883 2888 2899
  Modeline "4800x1200" 64.42 4800 4832 5072 5104 1200 1229 1231 1261
  Modeline "4720x3840" 227.86 4720 4752 5616 5648 3840 3933 3940 4033
  Modeline "4400x2560" 133.70 4400 4432 4936 4968 2560 2622 2627 2689
  Modeline "4480x1440" 72.94 4480 4512 4784 4816 1440 1475 1478 1513
  Modeline "4240x1440" 69.09 4240 4272 4528 4560 1440 1475 1478 1513
  Modeline "4160x1440" 67.81 4160 4192 4448 4480 1440 1475 1478 1513
  Modeline "4096x2304" 249.25 4096 4296 4720 5344 2304 2307 2312 2333
  Modeline "4096x2160" 111.25 4096 4200 4608 5120 2160 2163 2173 2176
  Modeline "4000x1660" 170.32 4000 4128 4536 5072 1660 1661 1664 1679
  Modeline "4000x1440" 145.00 4000 4088 4488 4976 1440 1441 1444 1457  
  Modeline "3904x1440" 63.70 3904 3936 4176 4208 1440 1475 1478 1513
  Modeline "3840x2880" 133.43 3840 3872 4376 4408 2880 2950 2955 3025
  Modeline "3840x2560" 116.93 3840 3872 4312 4344 2560 2622 2627 2689
  Modeline "3840x2160" 104.25 3840 3944 4320 4800 2160 2163 2168 2175
  Modeline "3840x2048" 91.45 3840 3872 4216 4248 2048 2097 2101 2151
  Modeline "3840x1200" 108.89 3840 3872 4280 4312 1200 1228 1232 1261
  Modeline "3840x1080" 100.38 3840 3848 4216 4592 1080 1081 1084 1093
  Modeline "3864x1050" 94.58 3864 3896 4248 4280 1050 1074 1078 1103
  Modeline "3600x1200" 106.06 3600 3632 3984 4368 1200 1201 1204 1214
  Modeline "3600x1080" 91.02 3600 3632 3976 4008 1080 1105 1109 1135
  Modeline "3520x1196" 99.53 3520 3552 3928 3960 1196 1224 1228 1256
  Modeline "3360x2560" 102.55 3360 3392 3776 3808 2560 2622 2627 2689
  Modeline "3360x1050" 293.75 3360 3576 3928 4496 1050 1053 1063 1089
  Modeline "3288x1080" 39.76 3288 3320 3464 3496 1080 1106 1108 1135
  Modeline "3200x1800" 233.00 3200 3384 3720 4240  1800 1803 1808 1834  
  Modeline "3200x1080" 236.16 3200 3232 4128 4160 1080 1103 1112 1135
  Modeline "3120x2560" 95.36 3120 3152 3512 3544 2560 2622 2627 2689
  Modeline "3120x1050" 272.75 3120 3320 3648 4176 1050 1053 1063 1089
  Modeline "3072x2560" 93.92 3072 3104 3456 3488 2560 2622 2627 2689
  Modeline "3008x1692" 130.93 3008 3112 3416 3824 1692 1693 1696 1712  
  Modeline "3000x2560" 91.77 3000 3032 3376 3408 2560 2622 2627 2689
  Modeline "2880x1620" 396.25 2880 3096 3408 3936 1620 1623 1628 1679
  Modeline "2728x1680" 148.02 2728 2760 3320 3352 1680 1719 1726 1765
  Modeline "2560x2240" 151.55 2560 2688 2952 3344 2240 2241 2244 2266  
  Modeline "2560x1600" 47.12 2560 2592 2768 2800 1600 1639 1642 1681
  Modeline "2560x1440" 42.12 2560 2592 2752 2784 1440 1475 1478 1513
  Modeline "2560x1400" 267.86 2560 2592 3608 3640 1400 1429 1441 1471
  Modeline "2048x2048" 49.47 2048 2080 2264 2296 2048 2097 2101 2151
  Modeline "2048x1536" 80.06 2048 2104 2312 2576 1536 1537 1540 1554
  Modeline "2048x1152" 197.97 2048 2184 2408 2768 1152 1153 1156 1192
  Modeline "2048x1152" 165.92 2048 2080 2704 2736 1152 1176 1186 1210
  Modeline "1920x1440" 69.47 1920 1960 2152 2384 1440 1441 1444 1457
  Modeline "1920x1200" 26.28 1920 1952 2048 2080 1200 1229 1231 1261
  Modeline "1920x1080" 23.53 1920 1952 2040 2072 1080 1106 1108 1135
  Modeline "1728x1520" 205.42 1728 1760 2536 2568 1520 1552 1564 1597
  Modeline "1680x1050" 20.08 1680 1712 1784 1816 1050 1075 1077 1103
  Modeline "1600x1200" 22.04 1600 1632 1712 1744 1200 1229 1231 1261
  Modeline "1600x900" 33.92 1600 1632 1760 1792 900 921 924 946
  Modeline "1440x900" 30.66 1440 1472 1584 1616 900 921 924 946
  Modeline "1400x900" 103.50 1400 1480 1624 1848 900 903 913 934
  ModeLine "1366x768" 72.00 1366 1414 1446 1494  768 771 777 803
  Modeline "1360x768" 24.49 1360 1392 1480 1512 768 786 789 807
  Modeline "1280x1024" 31.50 1280 1312 1424 1456 1024 1048 1052 1076
  Modeline "1280x800" 24.15 1280 1312 1400 1432 800 819 822 841
  Modeline "1280x768" 23.11 1280 1312 1392 1424 768 786 789 807
  Modeline "1280x720" 59.42 1280 1312 1536 1568 720 735 741 757
  Modeline "1024x768" 18.71 1024 1056 1120 1152 768 786 789 807
  Modeline "1024x640" 41.98 1024 1056 1208 1240 640 653 659 673
  Modeline "1024x576" 46.50 1024 1064 1160 1296  576 579 584 599
  Modeline "768x1024" 19.50 768 800 872 904 1024 1048 1052 1076
  Modeline "960x540" 40.75 960 992 1088 1216 540 543 548 562
  Modeline "864x486"  32.50 864 888 968 1072 486 489 494 506
  Modeline "720x405" 22.50 720 744 808 896  405 408 413 422
  Modeline "640x360" 14.75 640 664 720 800 360 363 368 374


  #common resolutions for android devices (both orientations):
  Modeline "800x1280" 25.89 800 832 928 960 1280 1310 1315 1345
  Modeline "1280x800" 24.15 1280 1312 1400 1432 800 819 822 841
  Modeline "720x1280" 30.22 720 752 864 896 1280 1309 1315 1345
  Modeline "1280x720" 27.41 1280 1312 1416 1448 720 737 740 757
  Modeline "768x1024" 24.93 768 800 888 920 1024 1047 1052 1076
  Modeline "1024x768" 23.77 1024 1056 1144 1176 768 785 789 807
  Modeline "600x1024" 19.90 600 632 704 736 1024 1047 1052 1076
  Modeline "1024x600" 18.26 1024 1056 1120 1152 600 614 617 631
  Modeline "536x960" 16.74 536 568 624 656 960 982 986 1009
  Modeline "960x536" 15.23 960 992 1048 1080 536 548 551 563
  Modeline "600x800" 15.17 600 632 688 720 800 818 822 841
  Modeline "800x600" 14.50 800 832 880 912 600 614 617 631
  Modeline "480x854" 13.34 480 512 560 592 854 873 877 897
  Modeline "848x480" 12.09 848 880 920 952 480 491 493 505
  Modeline "480x800" 12.43 480 512 552 584 800 818 822 841
  Modeline "800x480" 11.46 800 832 872 904 480 491 493 505
  #resolutions for android devices (both orientations)
  #minus the status bar
  #38px status bar (and width rounded up)
  Modeline "800x1242" 25.03 800 832 920 952 1242 1271 1275 1305
  Modeline "1280x762" 22.93 1280 1312 1392 1424 762 780 783 801
  Modeline "720x1242" 29.20 720 752 856 888 1242 1271 1276 1305
  Modeline "1280x682" 25.85 1280 1312 1408 1440 682 698 701 717
  Modeline "768x986" 23.90 768 800 888 920 986 1009 1013 1036
  Modeline "1024x730" 22.50 1024 1056 1136 1168 730 747 750 767
  Modeline "600x986" 19.07 600 632 704 736 986 1009 1013 1036
  Modeline "1024x562" 17.03 1024 1056 1120 1152 562 575 578 591
  Modeline "536x922" 16.01 536 568 624 656 922 943 947 969
  Modeline "960x498" 14.09 960 992 1040 1072 498 509 511 523
  Modeline "600x762" 14.39 600 632 680 712 762 779 783 801
  Modeline "800x562" 13.52 800 832 880 912 562 575 578 591
  Modeline "480x810" 12.59 480 512 552 584 810 828 832 851
  Modeline "848x442" 11.09 848 880 920 952 442 452 454 465
  Modeline "480x762" 11.79 480 512 552 584 762 779 783 801
EndSection

Section "Screen"
  Identifier "dummy_screen"
  Device "dummy_videocard"
  Monitor "dummy_monitor"
  DefaultDepth 24
  SubSection "Display"
    Viewport 0 0
    Depth 24
    #requires more ram:
    #Modes "16000x15000" "15000x15000" "16384x8192"  ..
    Modes "8192x4096" "5120x3200" "3840x2880" "3840x2560" "3840x2048" "3840x2160" "2048x2048" "2560x1600" "1920x1440" "1920x1200" "1920x1080" "1600x1200" "1680x1050" "1600x900" "1400x1050" "1440x900" "1280x1024" "1366x768" "1280x800" "1024x768" "1024x600" "800x600" "320x200"
    #Virtual 16384 16384
    Virtual 8192 4096
  EndSubSection
EndSection

Section "ServerLayout"
  Identifier   "dummy_layout"
  Screen       "dummy_screen"
EndSection

I tried to do something with DPI but without much success.

Last edited 13 months ago by JAremko (previous) (diff)

comment:3 Changed 13 months ago by JAremko

Also I fixed GStreamer warning with

sudo apt-get install python-gst-1.0
X.Org X Server 1.18.3
Release Date: 2016-04-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.13.0-92-generic x86_64 Ubuntu
Current Operating System: Linux jare-work 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:01:55 UTC 2016 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.4.0-36-generic root=UUID=8f99b8fb-534b-4d4f-8c4b-0ab11bc5c848 ro quiet splash nomodeset nouveau.modeset=0 vt.handoff=7
Build Date: 22 July 2016  07:50:34AM
xorg-server 2:1.18.3-1ubuntu2.3 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.33.6
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/tmp/Xvfb-10.log", Time: Fri Sep 30 14:17:53 2016
(++) Using config file: "/etc/xpra/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
2016-09-30 14:17:54,094 created unix domain socket: /home/spacemacs/.xpra/jare-work-14
2016-09-30 14:17:54,911 Warning: webcam forwarding is disabled
2016-09-30 14:17:54,911  the virtual video directory '/sys/devices/virtual/video4linux' was not found
2016-09-30 14:17:54,911  make sure that the 'v4l2loopback' kernel module is installed and loaded
2016-09-30 14:17:54,911 found 0 virtual video devices
2016-09-30 14:17:55,082 GStreamer version 1.8 for Python 2.7
2016-09-30 14:17:55,090 D-Bus notification forwarding is available
2016-09-30 14:17:55,107 started command '/usr/local/bin/sdrunemacs ' with pid 4044
2016-09-30 14:17:55,108 xpra X11 version 0.17.5-r13455
2016-09-30 14:17:55,108  running with pid 3988 on Linux Ubuntu 16.04 xenial
2016-09-30 14:17:55,108  on display :14
2016-09-30 14:17:55,258 xpra is ready.
2016-09-30 14:18:02,209 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 14:18:02,210 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 14:18:02,214 Handshake complete; enabling connection
2016-09-30 14:18:02,299 Python/Gtk2 Linux Ubuntu 16.04 xenial client version 0.17.5-r13455
2016-09-30 14:18:02,299  connected from 'jare-work' as 'spacemacser' - 'jare'
2016-09-30 14:18:02,299  using rgb as primary encoding also available:
2016-09-30 14:18:02,299   h264, vp9, vp8, mpeg4, png, png/P, png/L, rgb24, jpeg, rgb32
2016-09-30 14:18:02,300 Connection lost
2016-09-30 14:18:02,300  client root window size is 1920x1080 with 1 display:
2016-09-30 14:18:02,300   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 14:18:02,300     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 14:18:02,423 server virtual display now set to 1920x1080
2016-09-30 14:18:02,424 setting key repeat rate from client: 500ms delay / 30ms interval
2016-09-30 14:18:02,425 setting keymap: rules=evdev, model=pc105, layout=us,ru
2016-09-30 14:18:02,453 DPI set to 23 x 25 (wanted 96 x 96)
2016-09-30 14:18:02,453  you may experience scaling problems, such as huge or small fonts, etc
2016-09-30 14:18:02,453  to fix this issue, try the dpi switch, or use a patched Xorg dummy driver
2016-09-30 14:18:02,459 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)
2016-09-30 14:18:02,626 unknown source plugin: 'audiotest' / ''
2016-09-30 14:18:02,626 failed to setup 'auto' sound stream source
2016-09-30 17:18:01,426 Xpra gtk2 client version 0.17.5-r13455
2016-09-30 17:18:01,426  running on Linux Ubuntu 16.04 xenial
2016-09-30 17:18:01,426 Warning: failed to import opencv:
2016-09-30 17:18:01,426  No module named cv2
2016-09-30 17:18:01,426  webcam forwarding is disabled
2016-09-30 17:18:01,541 GStreamer version 1.8 for Python 2.7
2016-09-30 17:18:01,865 OpenGL_accelerate module loaded
2016-09-30 17:18:01,871 OpenGL enabled with GeForce GTX 650/PCIe/SSE2
2016-09-30 17:18:01,886 keyboard layouts: us,ru
2016-09-30 17:18:01,911  detected keyboard: rules=evdev, model=pc105, layout=us,ru
2016-09-30 17:18:01,911  desktop size is 1920x1080 with 1 screen:
2016-09-30 17:18:01,912   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 17:18:01,912     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 17:18:02,451 Xpra X11 server version 0.17.5-r13455
2016-09-30 17:18:02,451  running on Linux Ubuntu 16.04 xenial
2016-09-30 17:18:02,451 enabled remote logging
2016-09-30 17:18:02,457 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)

2016-09-30 17:18:02,611 sound output Warning: found 4 audio devices:
2016-09-30 17:18:02,612 sound output  * CA0106 Soundblaster (SB0790 X-Fi XA) Analog Stereo
2016-09-30 17:18:02,612 sound output    alsa_output.pci-0000_0e_00.0.analog-stereo
2016-09-30 17:18:02,612 sound output  * Built-in Audio Analog Stereo
2016-09-30 17:18:02,612 sound output    alsa_output.pci-0000_00_1b.0.analog-stereo
2016-09-30 17:18:02,612 sound output  * GK107 HDMI Audio Controller
2016-09-30 17:18:02,612 sound output    alsa_card.pci-0000_02_00.1
2016-09-30 17:18:02,612 sound output  * GK107 HDMI Audio Controller Digital Stereo (HDMI)
2016-09-30 17:18:02,612 sound output    alsa_output.pci-0000_02_00.1.hdmi-stereo
2016-09-30 17:18:02,612 sound output  to select a specific one,
2016-09-30 17:18:02,612 sound output  use the environment variable XPRA_PULSEAUDIO_DEVICE_NAME
2016-09-30 17:18:02,612 sound output using pulseaudio device:
2016-09-30 17:18:02,612 sound output  'CA0106 Soundblaster (SB0790 X-Fi XA) Analog Stereo'

but it didn't help.

Last edited 13 months ago by JAremko (previous) (diff)

comment:4 Changed 13 months ago by Antoine Martin

These warnings look ominous: Uh-oh, our size doesn't fit window sizing constraints:....
Which application can I use to reproduce this bug? (package name? some kind of X11 version of emacs?)

Can you run both the client and server with "-d geometry"?
The debug output should tell us more.

Here's what the "xpra info" has on the only window present (sanitized):

'size-constraints': {'minimum-size': (35, 32), 'gravity': 1, 'base-size': (28, 16), 'increment': (7, 16)},
'XShm': True,
'pid': 6470, 'sticky': False, 'modal': False, 'shape': {}, 'suspended': False,
'size': (1918, 1040), 'fullscreen': False, 'shown': True, 'xid': '0x600013', 'dimensions': (1918, 1040),
'title': 'emacs@jare-work', 'menu': {}, 'supports-transparency': False,
'state': (), 'above': False, 'maximized': False, 'class-instance': ('emacs', 'Emacs24'),
'override-redirect': False, 'skip-pager': False, 'client-geometry': (1, 33, 1918, 1040),
'iconic': False, 'strut': {}, 'scaling': (1, 1),
'window-type': ('NORMAL',), 'focused': 0,
'bypass-compositor': 0, 'locked': False,
'below': False, 'grabbed': 0, 'command': '', 'workspace': 0, 'mmap': False, 'shaded': False, 'tray': False

comment:5 in reply to:  4 Changed 13 months ago by JAremko

The

Uh-oh, our size doesn't fit window sizing constraints:....

happens when I run Ubuntu Xenial with its default xpra package in docker with any xpra client. xpra started with emacs as a child. On the client I have Ubuntu Xenial with Cinnamon desktop and NVIDIA drivers. This setup yields satisfying results http://i.imgur.com/KhN8gxW.png (my first example above) it has small black region at the bottom but I'm ok with it. I think the message appears when I try to resize the window.

But I don't have this message with the newest versions of xpra and the same client. Instead a have the bug :)

Last edited 13 months ago by Antoine Martin (previous) (diff)

Changed 13 months ago by JAremko

Attachment: --debug=geometry.zip added

comment:6 in reply to:  4 Changed 13 months ago by JAremko

Replying to antoine:

Can you run both the client and server with "-d geometry"?
The debug output should tell us more.


Sure (this is with the bug, not Uh-oh thingy) :

xpra start $XPRA_DISPLAY --debug=geometry --xvfb="Xorg -dpi 96 -noreset -nolisten tcp +extension GLX +extension RANDR +extension RENDER -logfile /tmp/Xvfb-10.log -config /etc/xpra/xorg.conf" --sharing=yes --no-daemon --pulseaudio=no --mdns=no --mmap=yes --encoding=rgb --exit-with-children --start-child="${cmd}"
X.Org X Server 1.18.3
Release Date: 2016-04-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.13.0-92-generic x86_64 Ubuntu
Current Operating System: Linux jare-work 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:01:55 UTC 2016 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.4.0-36-generic root=UUID=8f99b8fb-534b-4d4f-8c4b-0ab11bc5c848 ro quiet splash nomodeset nouveau.modeset=0 vt.handoff=7
Build Date: 22 July 2016  07:50:34AM
xorg-server 2:1.18.3-1ubuntu2.3 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.33.6
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/tmp/Xvfb-10.log", Time: Fri Sep 30 16:50:01 2016
(++) Using config file: "/etc/xpra/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
2016-09-30 16:50:01,331 created unix domain socket: /home/spacemacs/.xpra/jare-work-14
2016-09-30 16:50:02,134 Warning: webcam forwarding is disabled
2016-09-30 16:50:02,134  the virtual video directory '/sys/devices/virtual/video4linux' was not found
2016-09-30 16:50:02,134  make sure that the 'v4l2loopback' kernel module is installed and loaded
2016-09-30 16:50:02,134 found 0 virtual video devices
2016-09-30 16:50:02,304 GStreamer version 1.8 for Python 2.7
2016-09-30 16:50:02,311 D-Bus notification forwarding is available
2016-09-30 16:50:02,328 started command '/usr/local/bin/sdrunemacs ' with pid 4364
2016-09-30 16:50:02,329 xpra X11 version 0.17.5-r13455
2016-09-30 16:50:02,329  running with pid 4308 on Linux Ubuntu 16.04 xenial
2016-09-30 16:50:02,329  on display :14
2016-09-30 16:50:02,381 xpra is ready.
2016-09-30 16:50:02,524 initial X11 position and size: requested((0, 0, 669, 583), {'minimum-size': (0, 0), 'gravity': 1, 'base-size': (0, 0)})=(0, 0, 669, 583)
2016-09-30 16:50:02,525 setup() geometry
2016-09-30 16:50:02,525 setup() hints={'minimum-size': (0, 0), 'gravity': 1, 'base-size': (0, 0)} size=669x583
2016-09-30 16:50:02,525 setup() resizing windows to 669x583
2016-09-30 16:50:02,526 do_child_configure_request_event(<X11:ConfigureRequest {'delivered_to': '0x25d', 'send_event': 0, 'type': 23, 'detail': 0, 'height': 583, 'width': 669, 'window': '0x600013', 'above': 0L, 'y': 0, 'x': 0, 'serial': '0x3ea', 'border_width': 0, 'value_mask': 64L, 'display': ':14'}>) client=0x600013, corral=0x40002f, value_mask=StackMode
2016-09-30 16:50:02,526  restack above=0, detail=0
2016-09-30 16:50:02,526 do_child_configure_request_event updated requested geometry from (0, 0, 669, 583) to  (0, 0, 669, 583)
2016-09-30 16:50:02,598 do_child_configure_request_event(<X11:ConfigureRequest {'delivered_to': '0x40002f', 'send_event': 0, 'type': 23, 'detail': 0, 'height': 560, 'width': 656, 'window': '0x600013', 'above': 0L, 'y': 0, 'x': 0, 'serial': '0x48f', 'border_width': 0, 'value_mask': 12L, 'display': ':14'}>) client=0x600013, corral=0x40002f, value_mask=Width|Height
2016-09-30 16:50:02,598 XpraServer._window_resized_signaled(WindowModel(0x600013),(<GParamBoxed 'geometry'>,)) geometry=(0, 0, 656, 560), desktop manager geometry=[0, 0, 669, 583]
2016-09-30 16:50:02,598 size_notify_clients(WindowModel(0x600013), -1) last_client_configure_event=0
2016-09-30 16:50:02,599 do_child_configure_request_event updated requested geometry from (0, 0, 669, 583) to  (0, 0, 656, 560)
2016-09-30 16:50:02,599 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x600013', 'send_event': 0, 'height': 560, 'width': 656, 'window': '0x600013', 'above': 0L, 'y': 0, 'x': 0, 'serial': '0x497', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:02,599 WindowModel.do_xpra_configure_event: corral window is not visible
2016-09-30 16:50:02,835 do_child_configure_request_event(<X11:ConfigureRequest {'delivered_to': '0x40002f', 'send_event': 0, 'type': 23, 'detail': 0, 'height': 595, 'width': 656, 'window': '0x600013', 'above': 0L, 'y': 0, 'x': 0, 'serial': '0x4a7', 'border_width': 0, 'value_mask': 12L, 'display': ':14'}>) client=0x600013, corral=0x40002f, value_mask=Width|Height
2016-09-30 16:50:02,835 XpraServer._window_resized_signaled(WindowModel(0x600013),(<GParamBoxed 'geometry'>,)) geometry=(0, 0, 656, 595), desktop manager geometry=[0, 0, 656, 560]
2016-09-30 16:50:02,835 size_notify_clients(WindowModel(0x600013), -1) last_client_configure_event=0
2016-09-30 16:50:02,835 do_child_configure_request_event updated requested geometry from (0, 0, 656, 560) to  (0, 0, 656, 595)
2016-09-30 16:50:02,835 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x600013', 'send_event': 0, 'height': 595, 'width': 656, 'window': '0x600013', 'above': 0L, 'y': 0, 'x': 0, 'serial': '0x4aa', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:02,835 WindowModel.do_xpra_configure_event: corral window is not visible
2016-09-30 16:50:04,967 _update_client_geometry: ignored, owner=None, setup_done=True
2016-09-30 16:50:04,967 _do_update_client_geometry: allocated 656x595
2016-09-30 16:50:04,967 _do_update_client_geometry: size({'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)})=656x595
2016-09-30 16:50:04,967 _do_update_client_geometry: position=0x0
2016-09-30 16:50:04,967 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x40002f', 'send_event': 0, 'height': 595, 'width': 656, 'window': '0x40002f', 'above': 6291487L, 'y': 0, 'x': 0, 'serial': '0x4bb', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:04,968 WindowModel.do_xpra_configure_event: event is on the corral window 0x40002f, ignored
2016-09-30 16:50:31,796 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 16:50:31,797 New unix-domain connection received on /home/spacemacs/.xpra/jare-work-14
2016-09-30 16:50:31,800 Handshake complete; enabling connection
2016-09-30 16:50:31,871 Python/Gtk2 Linux Ubuntu 16.04 xenial client version 0.17.5-r13455
2016-09-30 16:50:31,871  connected from 'jare-work' as 'spacemacser' - 'jare'
2016-09-30 16:50:31,872  using rgb as primary encoding also available:
2016-09-30 16:50:31,872   h264, vp9, vp8, mpeg4, png, png/P, png/L, rgb24, jpeg, rgb32
2016-09-30 16:50:31,872 Connection lost
2016-09-30 16:50:31,872  client root window size is 1920x1080 with 1 display:
2016-09-30 16:50:31,872   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 16:50:31,872     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 16:50:31,914 server virtual display now set to 1920x1080
2016-09-30 16:50:31,915 setting key repeat rate from client: 500ms delay / 30ms interval
2016-09-30 16:50:31,916 setting keymap: rules=evdev, model=pc105, layout=us,ru
2016-09-30 16:50:31,938 DPI set to 23 x 25 (wanted 96 x 96)
2016-09-30 16:50:31,938  you may experience scaling problems, such as huge or small fonts, etc
2016-09-30 16:50:31,939  to fix this issue, try the dpi switch, or use a patched Xorg dummy driver
2016-09-30 16:50:31,962 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)
2016-09-30 16:50:31,971 process_new_common: wid=1, OR=False, geometry([0, 0, 656, 595])=(0, 0, 656, 595, 656, 595)
2016-09-30 16:50:31,972 setup_window() position=(0, 0), set_initial_position=False, OR=False, decorated=True
2016-09-30 16:50:32,022 ['configure-window', 1, 1, 33, 656, 595, {'encoding.transparency': False, 'encodings.rgb_formats': ['YUV420P', 'YUV422P', 'YUV444P', 'GBRP', 'BGRA', 'BGRX', 'RGBA', 'RGBX', 'RGB', 'BGR']}, 0, {}, False, 1, (1428, 782), []]
2016-09-30 16:50:32,023 _process_configure_window([1, 1, 33, 656, 595, {'encoding.transparency': False, 'encodings.rgb_formats': ('YUV420P', 'YUV422P', 'YUV444P', 'GBRP', 'BGRA', 'BGRX', 'RGBA', 'RGBX', 'RGB', 'BGR')}, 0, {}, False, 1, (1428, 782), ()]) old window geometry: (0, 0, 656, 595)
2016-09-30 16:50:32,023 _update_client_geometry: using owner=DesktopManager(1) (setup_done=True)
2016-09-30 16:50:32,023 _do_update_client_geometry: allocated 656x595
2016-09-30 16:50:32,023 _do_update_client_geometry: size({'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)})=656x595
2016-09-30 16:50:32,023 _do_update_client_geometry: position=1x33
2016-09-30 16:50:32,023 XpraServer._window_resized_signaled(WindowModel(0x600013),(<GParamBoxed 'geometry'>,)) geometry=(1, 33, 656, 595), desktop manager geometry=[1, 33, 656, 595]
2016-09-30 16:50:32,023 XpraServer._window_resized_signaled: unchanged
2016-09-30 16:50:32,025 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x40002f', 'send_event': 0, 'height': 595, 'width': 656, 'window': '0x40002f', 'above': 4194334L, 'y': 33, 'x': 1, 'serial': '0x5a1', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:32,025 WindowModel.do_xpra_configure_event: event is on the corral window 0x40002f, ignored
2016-09-30 16:50:32,025 ['configure-window', 1, 623, 250, 656, 595, {}, 0, {}, False, 1, (1428, 782), []]
2016-09-30 16:50:32,026 _process_configure_window([1, 623, 250, 656, 595, {}, 0, {}, False, 1, (1428, 782), ()]) old window geometry: (1, 33, 656, 595)
2016-09-30 16:50:32,026 _update_client_geometry: using owner=DesktopManager(1) (setup_done=True)
2016-09-30 16:50:32,026 _do_update_client_geometry: allocated 656x595
2016-09-30 16:50:32,027 _do_update_client_geometry: size({'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)})=656x595
2016-09-30 16:50:32,027 _do_update_client_geometry: position=623x250
2016-09-30 16:50:32,027 XpraServer._window_resized_signaled(WindowModel(0x600013),(<GParamBoxed 'geometry'>,)) geometry=(623, 250, 656, 595), desktop manager geometry=[623, 250, 656, 595]
2016-09-30 16:50:32,027 XpraServer._window_resized_signaled: unchanged
2016-09-30 16:50:32,027 map-window for wid=1 with client props={'workspace': 65535}, state={'frame': (1, 1, 33, 1)}
2016-09-30 16:50:32,028 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x40002f', 'send_event': 0, 'height': 595, 'width': 656, 'window': '0x40002f', 'above': 4194334L, 'y': 250, 'x': 623, 'serial': '0x5c8', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:32,028 WindowModel.do_xpra_configure_event: event is on the corral window 0x40002f, ignored
2016-09-30 16:50:32,028 client mapped window 1 - WindowModel(0x600013), at: (623, 250, 656, 595)
2016-09-30 16:50:32,073 ['configure-window', 1, 623, 250, 656, 595, {'screen': 0, 'workspace': 0}, 0, {'focused': True}, True, 1, (1428, 782), []]
2016-09-30 16:50:32,084 unknown source plugin: 'audiotest' / ''
2016-09-30 16:50:32,084 failed to setup 'auto' sound stream source
2016-09-30 16:50:34,481 ['configure-window', 1, 623, 250, 656, 595, {}, 0, {'focused': False}, True, 1, (148, 647), []]
2016-09-30 16:50:37,180 ['configure-window', 1, 623, 250, 656, 595, {}, 0, {'focused': True}, True, 1, (1152, 1065), []]
2016-09-30 16:50:39,097 ['configure-window', 1, 0, 0, 1920, 1080, {}, 0, {'frame': (0, 0, 0, 0)}, True, 1, (900, 713), []]
2016-09-30 16:50:39,101 ['configure-window', 1, 0, 0, 1920, 1080, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 16:50:39,104 _process_configure_window([1, 0, 0, 1920, 1080, {}, 0, {}, False, 1, (900, 713), ()]) old window geometry: (623, 250, 656, 595)
2016-09-30 16:50:39,104 _update_client_geometry: using owner=DesktopManager(1) (setup_done=True)
2016-09-30 16:50:39,104 _do_update_client_geometry: allocated 1920x1080
2016-09-30 16:50:39,104 _do_update_client_geometry: size({'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)})=1920x1088
2016-09-30 16:50:39,105 _do_update_client_geometry: position=0x0
2016-09-30 16:50:39,105 XpraServer._window_resized_signaled(WindowModel(0x600013),(<GParamBoxed 'geometry'>,)) geometry=(0, 0, 1920, 1088), desktop manager geometry=[0, 0, 1920, 1080]
2016-09-30 16:50:39,111 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x40002f', 'send_event': 0, 'height': 1088, 'width': 1920, 'window': '0x40002f', 'above': 4194334L, 'y': 0, 'x': 0, 'serial': '0xe44', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:39,111 WindowModel.do_xpra_configure_event: event is on the corral window 0x40002f, ignored
2016-09-30 16:50:39,115 ['configure-window', 1, 0, 0, 1920, 1080, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 16:50:39,116 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x600013', 'send_event': 0, 'height': 1088, 'width': 1920, 'window': '0x600013', 'above': 0L, 'y': 0, 'x': 0, 'serial': '0xe47', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:39,120 resize_corral_window() new constrained size=1920x1088
2016-09-30 16:50:39,127 _process_configure_window([1, 0, 0, 1920, 1080, {}, 0, {}, False, 1, (900, 713), ()]) old window geometry: (0, 0, 1920, 1088)
2016-09-30 16:50:39,127 _update_client_geometry: using owner=DesktopManager(1) (setup_done=True)
2016-09-30 16:50:39,127 _do_update_client_geometry: allocated 1920x1080
2016-09-30 16:50:39,127 _do_update_client_geometry: size({'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)})=1920x1088
2016-09-30 16:50:39,128 _do_update_client_geometry: position=0x0
2016-09-30 16:50:39,353 size_notify_clients(WindowModel(0x600013), 1475254239.1) last_client_configure_event=1475254239.13
2016-09-30 16:50:39,354 size_notify_clients: we have received a new client resize since
2016-09-30 16:50:40,487 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'frame': (1, 1, 33, 1)}, True, 1, (900, 713), []]
2016-09-30 16:50:40,490 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 16:50:40,490 _process_configure_window([1, 7, 42, 1912, 1037, {}, 0, {}, False, 1, (900, 713), ()]) old window geometry: (0, 0, 1920, 1080)
2016-09-30 16:50:40,490 _update_client_geometry: using owner=DesktopManager(1) (setup_done=True)
2016-09-30 16:50:40,490 _do_update_client_geometry: allocated 1912x1037
2016-09-30 16:50:40,490 _do_update_client_geometry: size({'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)})=1912x1037
2016-09-30 16:50:40,490 _do_update_client_geometry: position=7x42
2016-09-30 16:50:40,491 XpraServer._window_resized_signaled(WindowModel(0x600013),(<GParamBoxed 'geometry'>,)) geometry=(7, 42, 1912, 1037), desktop manager geometry=[7, 42, 1912, 1037]
2016-09-30 16:50:40,491 XpraServer._window_resized_signaled: unchanged
2016-09-30 16:50:40,496 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x40002f', 'send_event': 0, 'height': 1037, 'width': 1912, 'window': '0x40002f', 'above': 4194334L, 'y': 42, 'x': 7, 'serial': '0x10a6', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:40,496 WindowModel.do_xpra_configure_event: event is on the corral window 0x40002f, ignored
2016-09-30 16:50:40,499 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x600013', 'send_event': 0, 'height': 1037, 'width': 1912, 'window': '0x600013', 'above': 0L, 'y': 0, 'x': 0, 'serial': '0x10a9', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:50:40,500 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 16:50:40,500 resize_corral_window() new constrained size=1912x1037
2016-09-30 16:50:40,503 _process_configure_window([1, 7, 42, 1912, 1037, {}, 0, {}, False, 1, (900, 713), ()]) old window geometry: (7, 42, 1912, 1037)
2016-09-30 16:50:43,220 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'focused': False}, True, 1, (696, 1079), []]
2016-09-30 16:51:28,846 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'iconified': True}, True, 1, (80, 1079), []]
2016-09-30 16:51:28,980 client unmapped window 1 - WindowModel(0x600013)
2016-09-30 16:51:38,080 map-window for wid=1 with client props={'workspace': 0}, state={'iconified': False, 'frame': (1, 1, 33, 1)}
2016-09-30 16:51:38,081 client mapped window 1 - WindowModel(0x600013), at: (7, 42, 1912, 1037)
2016-09-30 16:51:38,082 _update_client_geometry: using owner=DesktopManager(1) (setup_done=True)
2016-09-30 16:51:38,083 _do_update_client_geometry: allocated 1912x1037
2016-09-30 16:51:38,083 _do_update_client_geometry: size({'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)})=1912x1037
2016-09-30 16:51:38,083 _do_update_client_geometry: position=7x42
2016-09-30 16:51:38,092 WindowModel.do_xpra_configure_event(<X11:ConfigureNotify {'delivered_to': '0x40002f', 'send_event': 0, 'height': 1037, 'width': 1912, 'window': '0x40002f', 'above': 4194334L, 'y': 42, 'x': 7, 'serial': '0x17c8', 'border_width': 0, 'type': 22, 'display': ':14'}>) corral=0x40002f, client=0x600013, managed=True
2016-09-30 16:51:38,092 WindowModel.do_xpra_configure_event: event is on the corral window 0x40002f, ignored
2016-09-30 16:51:38,129 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'focused': True}, True, 1, (1218, 1077), []]
2016-09-30 16:51:42,493 child '/usr/local/bin/sdrunemacs ' with pid 4364 has terminated
2016-09-30 16:51:42,493 all children have exited and --exit-with-children was specified, exiting
2016-09-30 16:51:42,493 Disconnecting client /home/spacemacs/.xpra/jare-work-14:
2016-09-30 16:51:42,493  server shutdown
2016-09-30 16:51:42,495 xpra client disconnected.
2016-09-30 16:51:42,997 xpra is terminating.
2016-09-30 16:51:42,998 removing socket /home/spacemacs/.xpra/jare-work-14
2016-09-30 16:51:42,998 killing xvfb with pid 4311
(II) Server terminated successfully (0). Closing log file.
xpra attach --debug=geometry --sharing=yes --encoding=rgb --compress=0 ssh:spacemacser@localhost:14
2016-09-30 19:48:26,882 Xpra gtk2 client version 0.17.5-r13455
2016-09-30 19:48:26,883  running on Linux Ubuntu 16.04 xenial
2016-09-30 19:48:26,883 Warning: failed to import opencv:
2016-09-30 19:48:26,883  No module named cv2
2016-09-30 19:48:26,883  webcam forwarding is disabled
2016-09-30 19:48:27,034 GStreamer version 1.8 for Python 2.7
2016-09-30 19:48:27,320 OpenGL_accelerate module loaded
2016-09-30 19:48:27,327 OpenGL enabled with GeForce GTX 650/PCIe/SSE2
2016-09-30 19:48:27,384 keyboard layouts: us,ru
2016-09-30 19:48:27,412  detected keyboard: rules=evdev, model=pc105, layout=us,ru
2016-09-30 19:48:27,412  desktop size is 1920x1080 with 1 screen:
2016-09-30 19:48:27,412   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 19:48:27,412     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 19:48:27,826 Xpra X11 server version 0.17.5-r13455
2016-09-30 19:48:27,827  running on Linux Ubuntu 16.04 xenial
2016-09-30 19:48:27,827 enabled remote logging
2016-09-30 19:48:27,835 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)

2016-09-30 19:48:27,956 sound output Warning: found 4 audio devices:
2016-09-30 19:48:27,956 sound output  * CA0106 Soundblaster (SB0790 X-Fi XA) Analog Stereo
2016-09-30 19:48:27,956 sound output    alsa_output.pci-0000_0e_00.0.analog-stereo
2016-09-30 19:48:27,956 sound output  * Built-in Audio Analog Stereo
2016-09-30 19:48:27,956 sound output    alsa_output.pci-0000_00_1b.0.analog-stereo
2016-09-30 19:48:27,956 sound output  * GK107 HDMI Audio Controller
2016-09-30 19:48:27,956 sound output    alsa_card.pci-0000_02_00.1
2016-09-30 19:48:27,956 sound output  * GK107 HDMI Audio Controller Digital Stereo (HDMI)
2016-09-30 19:48:27,956 sound output    alsa_output.pci-0000_02_00.1.hdmi-stereo
2016-09-30 19:48:27,956 sound output  to select a specific one,
2016-09-30 19:48:27,956 sound output  use the environment variable XPRA_PULSEAUDIO_DEVICE_NAME
2016-09-30 19:48:27,956 sound output using pulseaudio device:
2016-09-30 19:48:27,956 sound output  'CA0106 Soundblaster (SB0790 X-Fi XA) Analog Stereo'
2016-09-30 19:48:39,113 server requested disconnect: server shutdown
➜  ~ xpra attach --debug=geometry --sharing=yes --encoding=rgb --compress=0 ssh:spacemacser@localhost:14
2016-09-30 19:50:30,950 Xpra gtk2 client version 0.17.5-r13455
2016-09-30 19:50:30,950  running on Linux Ubuntu 16.04 xenial
2016-09-30 19:50:30,950 Warning: failed to import opencv:
2016-09-30 19:50:30,950  No module named cv2
2016-09-30 19:50:30,950  webcam forwarding is disabled
2016-09-30 19:50:31,133 GStreamer version 1.8 for Python 2.7
2016-09-30 19:50:31,473 OpenGL_accelerate module loaded
2016-09-30 19:50:31,481 OpenGL enabled with GeForce GTX 650/PCIe/SSE2
2016-09-30 19:50:31,498 keyboard layouts: us,ru
2016-09-30 19:50:31,526  detected keyboard: rules=evdev, model=pc105, layout=us,ru
2016-09-30 19:50:31,526  desktop size is 1920x1080 with 1 screen:
2016-09-30 19:50:31,526   :0.0 (508x286 mm - DPI: 96x95)
2016-09-30 19:50:31,526     monitor 1 (521x293 mm - DPI: 93x93)
2016-09-30 19:50:31,936 Xpra X11 server version 0.17.5-r13455
2016-09-30 19:50:31,936  running on Linux Ubuntu 16.04 xenial
2016-09-30 19:50:31,936 enabled remote logging
2016-09-30 19:50:31,944 Attached to ssh:spacemacser@localhost:14 (press Control-C to detach)

2016-09-30 19:50:31,963 process_new_common: wid=1, OR=False, geometry([0, 0, 656, 595])=(0, 0, 656, 595, 656, 595)
2016-09-30 19:50:31,965 setup_window() position=(0, 0), set_initial_position=False, OR=False, decorated=True
2016-09-30 19:50:32,021 ['configure-window', 1, 1, 33, 656, 595, {'encoding.transparency': False, 'encodings.rgb_formats': ['YUV420P', 'YUV422P', 'YUV444P', 'GBRP', 'BGRA', 'BGRX', 'RGBA', 'RGBX', 'RGB', 'BGR']}, 0, {}, False, 1, (1428, 782), []]
2016-09-30 19:50:32,025 ['configure-window', 1, 623, 250, 656, 595, {}, 0, {}, False, 1, (1428, 782), []]
2016-09-30 19:50:32,026 map-window for wid=1 with client props={'workspace': 65535}, state={'frame': (1, 1, 33, 1)}
2016-09-30 19:50:32,068 sound output Warning: found 4 audio devices:
2016-09-30 19:50:32,068 sound output  * CA0106 Soundblaster (SB0790 X-Fi XA) Analog Stereo
2016-09-30 19:50:32,068 sound output    alsa_output.pci-0000_0e_00.0.analog-stereo
2016-09-30 19:50:32,068 sound output  * Built-in Audio Analog Stereo
2016-09-30 19:50:32,068 sound output    alsa_output.pci-0000_00_1b.0.analog-stereo
2016-09-30 19:50:32,068 sound output  * GK107 HDMI Audio Controller
2016-09-30 19:50:32,068 sound output    alsa_card.pci-0000_02_00.1
2016-09-30 19:50:32,068 sound output  * GK107 HDMI Audio Controller Digital Stereo (HDMI)
2016-09-30 19:50:32,068 sound output    alsa_output.pci-0000_02_00.1.hdmi-stereo
2016-09-30 19:50:32,068 sound output  to select a specific one,
2016-09-30 19:50:32,068 sound output  use the environment variable XPRA_PULSEAUDIO_DEVICE_NAME
2016-09-30 19:50:32,068 sound output using pulseaudio device:
2016-09-30 19:50:32,068 sound output  'CA0106 Soundblaster (SB0790 X-Fi XA) Analog Stereo'
2016-09-30 19:50:32,073 ['configure-window', 1, 623, 250, 656, 595, {'screen': 0, 'workspace': 0}, 0, {'focused': True}, True, 1, (1428, 782), []]
2016-09-30 19:50:34,480 ['configure-window', 1, 623, 250, 656, 595, {}, 0, {'focused': False}, True, 1, (148, 647), []]
2016-09-30 19:50:37,179 ['configure-window', 1, 623, 250, 656, 595, {}, 0, {'focused': True}, True, 1, (1152, 1065), []]
2016-09-30 19:50:39,096 ['configure-window', 1, 0, 0, 1920, 1080, {}, 0, {'frame': (0, 0, 0, 0)}, True, 1, (900, 713), []]
2016-09-30 19:50:39,100 ['configure-window', 1, 0, 0, 1920, 1080, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 19:50:39,112 ['configure-window', 1, 0, 0, 1920, 1080, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 19:50:40,486 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'frame': (1, 1, 33, 1)}, True, 1, (900, 713), []]
2016-09-30 19:50:40,489 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 19:50:40,497 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {}, False, 1, (900, 713), []]
2016-09-30 19:50:43,219 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'focused': False}, True, 1, (696, 1079), []]
2016-09-30 19:51:28,846 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'iconified': True}, True, 1, (80, 1079), []]
2016-09-30 19:51:38,079 map-window for wid=1 with client props={'workspace': 0}, state={'iconified': False, 'frame': (1, 1, 33, 1)}
2016-09-30 19:51:38,128 ['configure-window', 1, 7, 42, 1912, 1037, {}, 0, {'focused': True}, True, 1, (1218, 1077), []]
2016-09-30 19:51:42,498 server requested disconnect: server shutdown
Last edited 13 months ago by Antoine Martin (previous) (diff)

Changed 13 months ago by Antoine Martin

Attachment: xorg.log added

moving large file to attachment

comment:7 Changed 13 months ago by Antoine Martin

The problem is very likely to be the Uh-oh, our size doesn't fit window sizing constraints problem.
Newer versions try harder to honour the window's size constraints. The black region at the bottom is the same symptom, just a different way of handling it.

This window has some very specific constraints:

{'minimum-size': (32, 34), 'gravity': 1, 'base-size': (24, 17), 'increment': (8, 17)}

Which we should be forwarding to the client window manager, which should be honouring those too.
What desktop environment do you use? (and what is this application?)

comment:8 in reply to:  7 Changed 13 months ago by JAremko

Replying to antoine:

Which we should be forwarding to the client window manager, which should be honouring those too.
What desktop environment do you use? (and what is this application?)

Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.1 LTS
Release:	16.04
Codename:	xenial

with Cinnamon 3.0.7

Applications is GNU Emacs 24.5.1 image without fluff http://i.imgur.com/4F5b1Qi.png

comment:9 Changed 13 months ago by Antoine Martin

Owner: changed from JAremko to Antoine Martin
Status: newassigned

Will try this in a VM.

comment:10 in reply to:  9 Changed 13 months ago by JAremko

Replying to antoine:

Will try this in a VM.


Hm the problem may be specific to full screen Emacs. For example rhythmbox looks normal http://i.imgur.com/mbkZ3kD.png

Last edited 13 months ago by JAremko (previous) (diff)

comment:11 Changed 13 months ago by JAremko

it actually maybe not just a full screen problem. When I resize window Emacs sometimes fits and sometimes doesn't. May be the full screen dimension just happens to be one of the "broken ones" When I resize window (dragging with mouse) it resizes in steps (like if the size is rounded).And while it's jumping I can see black bar(for a split second) or it cuts off.

So I'm thinking. The full screen is a precise size, the window has to fit it precisely. The same with the half screen alignment http://i.imgur.com/8K4cEcE.png as you can see it's also broken.

Last edited 13 months ago by JAremko (previous) (diff)

comment:12 Changed 13 months ago by JAremko

I connected Windows 10 client to the same server. The bug is still there.

comment:13 Changed 13 months ago by JAremko

After resizing it bunch of times I noticed that sometimes the upper part is cutoff instead http://i.imgur.com/9xOd9Ao.png
Notice 1088 in the client's log. For some reason it has extra 8 pixels.

unchanged position 0x0, using resize(1920, 1088)

Btw this bug also occurs with Emacs 25.2.50.2


server:
attachment/ticket/1327/server.log

client:
attachment/ticket/1327/client.log

Last edited 13 months ago by Antoine Martin (previous) (diff)

Changed 13 months ago by Antoine Martin

Attachment: server.log added

moving another huge log sample to an attachment

Changed 13 months ago by Antoine Martin

Attachment: client.log added

client log

comment:14 Changed 13 months ago by JAremko

Emacs devs helped me to figure it out. Setting frame-resize-pixelwise to t and rebooting Emacs or calling x-wm-set-size-hint solved the problem.

 frame-resize-pixelwise 
If this option is nil, a frame’s size is usually rounded to a multiple 
of the current values of that frame’s frame-char-height and frame-char-width whenever the frame is resized. 
If this is non-nil, no rounding occurs, hence frame sizes can increase/decrease by one pixel.

Setting this variable usually causes the next resize operation to pass the corresponding size hints to the window manager. 
This means that this variable should be set only in a user’s initial file; applications should never bind it temporarily.

The precise meaning of a value of nil for this option depends on the toolkit used. 
Dragging the external border with the mouse is done character-wise provided 
the window manager is willing to process the corresponding size hints. 
Calling set-frame-size (see below) with arguments that do not specify 
the frame size as an integer multiple of its character size, however, 
may: be ignored, cause a rounding (GTK+), or be accepted (Lucid, Motif, MS-Windows).

Not sure if Xpra hast to handle cases like this differently, but if not feel free to close the ticket.

Thanks everyone'''

Last edited 13 months ago by JAremko (previous) (diff)

comment:15 Changed 12 months ago by Thomas Esposito

I'm seeing a similar problem with gnome-terminal version 2.31.3.

Here is a snippet of my log with "--debug=all". This is after I maximize the gnome-terminal window. My client is running Windows 7.

[36m2016-10-11 12:19:09,009 _process_configure_window([1, 0, 22, 1600, 1138, {}, 0, {}, False, 1, (1012, 331), ()]) old window geometry: (0, 22, 1601, 1149)
[36m2016-10-11 12:19:09,009 DesktopManager.configure_window(WindowModel(0x600005), 0, 22, 1600, 1138, 0)
[36m2016-10-11 12:19:09,009 _update_client_geometry: using owner=DesktopManager(1) (setup_done=True)
[36m2016-10-11 12:19:09,009 _do_update_client_geometry: allocated 1600x1138
[36m2016-10-11 12:19:09,009 _do_update_client_geometry: size({'minimum-size': (49, 61), 'gravity': 1, 'base-size': (17, 27), 'increment': (8, 17)})=1601x1149
[36m2016-10-11 12:19:09,009 Uh-oh, our size doesn't fit window sizing constraints: 1600x1138 vs 1601x1149
[36m2016-10-11 12:19:09,009 _do_update_client_geometry: position=0x22
[36m2016-10-11 12:19:09,009 updateprop(geometry, (0, 22, 1601, 1149)) unchanged

It seems pretty clear that although Windows 7 is maximizing to 1600x1138 (that's 1600x1200 resolution minus the Windows 7 taskbar and maximized window titlebar), xpra is picking the closest constrained size that is >= the size requested by Windows 7 and sending that the X11 application. In an earlier email you said that "the size increments should be forwarded to the client". Do you mean the xpra client running on Windows 7, or the X11 client app (i.e. gnome-terminal)?

I dug into the code a bit and it looks like this is all happening in a function named "calc_constrained_size()", but I'm not sure where it is being imported from. I don't know python...

Last edited 12 months ago by Antoine Martin (previous) (diff)

comment:16 Changed 12 months ago by Antoine Martin

The size constraints are forwarded to the client, ie with "-d metadata" for an xterm:

set_size_constraints({'base-size': (19, 4), 'size': (499, 316), 'gravity': 1, 'increment': (6, 13), 'minimum-size': (25, 17)}, (6144, 6144))

So the client OS should honour the constraints set by the application.

calc_constrained_size is here: browser/xpra/trunk/src/xpra/x11/gtk2/gdk_bindings.pyx.

comment:17 Changed 12 months ago by Thomas Esposito

It looks like the end of this function, after the first call to gdk_window_constrain_size() (which rounds down), will actually round UP to the next size increment if the abs() between that and the original requested size is smaller. Why would you want to do this?

I'll try patching my install.

Last edited 12 months ago by Thomas Esposito (previous) (diff)

comment:18 Changed 12 months ago by Thomas Esposito

Removing the "round up" code seems to fix the issue. Although I agree this wouldn't be an issue at all if Win32 respected the size increments.

Interestingly, if I grab the corner of the window and drag to resize (while NOT maximized), the size increments DO obey the constraints. It is only when it's maximized that Win32 doesn't obey the constraints.

When I use gnome-terminal in Exceed TurboX VA, Win32 respects the constraints, even when maximized, and draws a window border around the right and bottom edge of the smaller-than-fully-maximized-window even when in the maximized state.

Win32 obviously supports the case where a window is logically maximized, but physically smaller. Maybe there is an extra bit of code necessary in the Win32 client in order to handle this corner case? Perhaps, there is a specific way to "force" the window to a particular size, even when in the maximized state?

Last edited 12 months ago by Thomas Esposito (previous) (diff)

comment:19 Changed 12 months ago by Thomas Esposito

Removing the "round up" code seems to fix the issue. Although I agree this wouldn't be an issue at all if Win32 respected the size increments.

Interestingly, if I grab the corner of the window and drag to resize (while NOT maximized), the size increments DO obey the constraints. It is only when it's maximized that Win32 doesn't obey the constraints.

When I use gnome-terminal in Exceed TurboX VA, Win32 respects the constraints, even when maximized, and draws a window border around the right and bottom edge of the smaller-than-fully-maximized-window even when in the maximized state.
Edit: Disregard this. gnome-terminal had multiple tabs open in Exceed and only 1 tab in xpra. Between the two, when the "round up" code is removed from xpra, there is NO difference in how the window is drawn.

Win32 obviously supports the case where a window is logically maximized, but physically smaller. Maybe there is an extra bit of code necessary in the Win32 client in order to handle this corner case? Perhaps, there is a specific way to "force" the window to a particular size, even when in the maximized state?

Last edited 12 months ago by Thomas Esposito (previous) (diff)

comment:20 Changed 12 months ago by Thomas Esposito

Edit: Disregard this.

To be clear, when I say that removing the "round up" code fixes the issue, the window is padded out to the edges of the screen with blank white space. I don't get a "pretty" border like in Exceed TurboX VA.

Also, when using x2go, the result is nearly the same as xpra (with the "round up" code removed), EXCEPT that the window is padded out to the edges with blank BLACK space.

Last edited 12 months ago by Thomas Esposito (previous) (diff)

comment:21 Changed 12 months ago by Thomas Esposito

I'm waiting for feedback on this. Is this the same issue as the one originally reported? If not, I can open a new ticket.

I've found a solution, but I'm not sure if there would be unintended side effects of modifying calc_constrained_size to NOT round up the window size.

comment:22 Changed 12 months ago by Antoine Martin

Owner: changed from Antoine Martin to Thomas Esposito
Status: assignednew

This change to use rounding comes from here: ticket:976#comment:36.
Resizing loops are very bad, we don't want those back!

New updates:

  • r14248 for #1098 (related)
  • r14249 makes it easier to debug size hints: the client will now log them with "-d geometry"
  • r14250 drop the rounding, remove the corresponding flag (creates a minor loss of automatic desktop scaling functionality when mixing pre-1.0 and 1.0 versions)

@thomase00: the colour of the padding area around the window may vary.
What is the "pretty" border you would like to have instead? (maybe a small screenshot of that area would help)

comment:23 Changed 12 months ago by Thomas Esposito

Disregard my comments regarding the border. I was mistaken. With the round-up code removed from gdk_bindings.pyx, the window border is rendered similarly to comparable solutions.

It has occurred to me that there might be another possible solution. IF the calc_constrained_size() function is aware of whether or not the window has been maximized (I'm not sure if this is included in "hints"), it could skip the round-up ONLY in that particular case.

The changes you made in ui_client_base.py, desktop_server.py, server.py, seem to be totally unrelated to my particular issue. Do these changes relate to the original issue reported in the ticket?

comment:24 Changed 12 months ago by Antoine Martin

The other changes are needed to prevent the resizing loops. We cannot remove the rounding without those, see the link in comment:22 for details.

calc_constrained_size has no idea about maximized state, which is not part of the hints. The roundup causes other problems anyway (ie: try an xterm with desktop-scaling as per #1098), so getting rid of it is a good thing.

Can I close this ticket?

comment:25 Changed 12 months ago by Thomas Esposito

Resolution: fixed
Status: newclosed

Resolving.

I'm looking forward to the 1.0 release!

Note: See TracTickets for help on using tickets.